TechDraw: Widok

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw View and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский

TechDraw View.svg TechDraw View

Menu location
Rysunek Techniczny → Wstaw widok
Workbenches
Rysunek Techniczny
Default shortcut
None
Introduced in version
-
See also
Grupa rzutów, Widok przekroju

Opis

Narzędzie Widok dodaje reprezentację jednego lub więcej obiektów do strony Rysunku. Jest to podstawowy element środowiska Rysunek Techniczny. Większość innych widoków pochodzi w jakiś sposób od metody Nowy widok.

Widok będzie próbował narysować cokolwiek z właściwością kształt. Możesz wybrać obiekty szkicu i również Projekt Części: Zawartość, środowiska Rysunek Roboczy. Widok wyodrębni również kształty z obiektów w kontenerze Std: Część lub Std: Grupa.

TechDraw View example.png

Widok bryły sześcianu z ukrytymi liniami

Użycie

  1. Opcjonalnie obróć widok 3D. Kierunek ujęcia widoku w oknie widoku 3D określa początkową wartość właściwości DANEKierunek widoku.
  2. Wybierz jeden lub więcej obiektów w oknie Widoku 3D lub Widoku drzewa.
  3. Jeśli w dokumencie jest wiele stron rysunku: opcjonalnie dodaj żądaną stronę do wyboru przez zaznaczenie jej w widoku drzewa. Nie jest to opcjonalne dla wersja 0.19 i poniżej.
  4. Istnieje kilka sposobów na wywołanie narzędzia:
    • Naciśnij przycisk TechDraw View.svg Wstaw widok.
    • Wybierz opcję Rysunek Techniczny → TechDraw View.svg Wstaw widok z menu.
  5. Jeśli w dokumencie jest wiele stron rysunków i nie została jeszcze wybrana żadna strona, zostanie otwarte okno dialogowe Wybór strony: dostępne w wersji 0.20
    1. Wybierz żądaną stronę.
    2. Naciśnij przycisk OK.

Właściwości

Dane

Podstawowe

  • DANEX: Położenie widoku w poziomie na stronie. (1)
  • DANEY: Położenie widoku w pionie na stronie. (1)
  • DANEZablokuj pozycję: Gdy wartość wynosi true, zapobiega przeciąganiu widoków w oknie GUI. Widok nadal może być przesuwany poprzez zmianę właściwości współrzędnych X,Y. (1)
  • DANEObrót: Obrót widoku strony w kierunku przeciwnym do ruchu wskazówek zegara w stopniach. (1)
  • DANETyp skali: Dokument: użyj skali strony. Niestandardowy: użyj skali własnej, unikalnej dla tego widoku. Automatyczny: dopasowanie rozmiaru widoku do strony. (1)
  • DANESkala: Widok zostanie wyrenderowany na stronie w stosunku Skala:1 w odniesieniu do źródła. (1)
  • DANEPodpis: Opcjonalny krótki podpis.

(1) właściwości te są wspólne dla wszystkich typów widoku.

Kosmetyczne

Parametry HLR

  • DANEWidok zgrubny: Jeśli wartość ta wynosi true, Rysunek Roboczy użyje przybliżenia wielokąta do obliczenia geometrii rysunku. Jeżeli false, Rysunek Roboczy użyje algorytmu precyzyjnego. Widok zgrubny może być wyliczany znacznie szybciej dla złożonych modeli. Jakość rysunku jest obniżona, ponieważ każda krzywa jest aproksymowana jako seria krótkich odcinków linii. Wierzchołki nie są wyświetlane w trybie Widok zgrubny, ponieważ każdy krótki odcinek spowodowałby utworzenie dwóch nowych wierzchołków, co spowodowałoby bałagan na ekranie. Wymiary liniowe mogą zostać dodane do okna Widoku zgrubnego, ale ich użyteczność jest mało prawdopodobna.
  • DANEWygładzanie widoczne: Wyświetlanie wygładzonych linii włączone/wyłączone.
  • DANESzew widoczny: Wyświetlanie linii szwu włączone/wyłączone.
  • DANEIso widoczne: Wyświetlanie linii izometrycznych (u,v) włączone/wyłączone.
  • DANEHard Hidden: Wyświetlanie linii ukrytych włączone/wyłączone.
  • DANEWygładzanie ukryte: Ukrywanie wygładzonych linii włączone/wyłączone.
  • DANESzew ukryty: Ukrywanie linii szwu włączone/wyłączone.
  • DANEIso ukryte: Ukrywanie linii izometrycznych (u,v) włączone/wyłączone.
  • DANELicznik Iso: Liczba linii izometrycznych(u,v) do narysowania na każdej ścianie.

Rzutowanie

  • DANEPochodzenie: Powiązania z obiektami rysunkowymi, które mają być przedstawione.
  • DANEXPochodzenie: Odnośniki do obiektów rysunkowych w pliku zewnętrznym. dostępne w wersji 0.19
  • DANEKierunek: Wektor ten kontroluje kierunek, z którego patrzysz na obiekt. +X to prawo, -X to lewo, +Y to tył, -Y to przód (patrząc w ekran), +Z to góra, a -Z to dół. Zatem widok z przodu to (0,-1,0), a widok izometryczny to (1,-1,1).
  • DANEXKierunek: ten wektor kontroluje obrót widoku, według wartości Kierunek.dostępne w wersji 0.19.
  • DANEPerspektywa: Przyjmuje wartość true dla projekcji perspektywicznej, false dla projekcji ortogonalnej.
  • DANESkupienie: Odległość od kamery do płaszczyzny projekcji dla rzutów perspektywicznych. Musi być dostosowana do obiektu. Odległość zbyt duża powoduje utratę perspektywy, odległość zbyt mała powoduje zniekształcenie obiektu.

Widok

  • WIDOKUtrzymujEtykietę: Zawsze pokazuj etykietę widoku jeśli wartość to true.
  • WIDOKSzerokośćLinii: Grubość widocznych linii. Zobacz stronę GrupyLinii.
  • WIDOKSzerokośćUkrytych: Grubość ukrytych linii, jeśli jest włączona.
  • WIDOKSzerokośćIso: Grubość izometrycznych (u,v) linii powierzchni i linii wymiarowych.
  • WIDOKSzerokośćDodatkowa: jeszcze nie wdrożone.
  • WIDOKPokażŚrodki: Włączanie / wyłączanie znaczników środka okręgu / łuku.
  • WIDOKSkalaŚrodka: Regulacja rozmiaru znacznika środka łuku po okręgu, jeśli jest włączona.
  • WIDOKPoziomąLinięŚrodka: Pokaż poziomą linię środkową w widoku.
  • WIDOKpionowąLinięŚrodka: Pokaż pionową linię środkową w widoku.
  • WIDOKPokażLinięPrzekroju: Pokaż / ukryj linię przekroju, jeśli dotyczy.

Tworzenie skryptów

Zobacz również: TechDraw API i Podstawy tworzenia skryptów FreeCAD.

Narzędzie Nowy widok może być używane w makrodefinicjach i z konsoli Python za pomocą następujących funkcji:

view = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewPart','View')
rc = page.addView(view)
FreeCAD.ActiveDocument.View.Source = [App.ActiveDocument.Box]
FreeCAD.ActiveDocument.View.Direction = (0.0,0.0,1.0)